Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028928
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2015-02-12 17:572015-02-23 05:11
ReporterVictorVillarView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revisioncc7e0e3fd580
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028928: The characteristic description is not updated correctly

DescriptionThe characteristic description is not updated correctly. There is no way to remove the first one.
Steps To ReproduceAs group admin role,
Go to Product characteristics window:
   create a new register for orgnization: *
   Variant: No
   name: TEST
 Go to values tab:
     create two registers:
       1- name: one
       2.- name: two

Create other register:
for orgnization: *
   Variant: No
   name: CHECK
 Go to values tab:
     create two registers:
       1- name: three
       2.- name:four

Go to Product window:
   create a new register
   orgnization: *
   is generic: yes
 Go to Characteristics tab:
    create a new registger selecting: TEST
    variant: no
 click on Update Characteristics button.
    select 'one' value and click on OK button.
Go to Characteristics tab:
 Remove the characteristic created before (TEST)
 create a new registger selecting: CHECK
    variant: no
 click on Update Characteristics button.
    select 'three' value and click on OK button.

Realise that the Characteristic Description still keeps TEST - onve value. That is wrong.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029000 newTriage Finance Characteristic description is not refreshed after update or delete in grid mode 

-  Notes
(0074571)
aferraz (developer)
2015-02-17 19:23

Test plan:

As group admin role,
Go to Product characteristics window:
   create a new register for orgnization: *
   Variant: No
   name: TEST
 Go to values tab:
     create two registers:
       1- name: one
       2.- name: two

Create other register:
for orgnization: *
   Variant: No
   name: CHECK
 Go to values tab:
     create two registers:
       1- name: three
       2.- name:four

Go to Product window:
   create a new register
   orgnization: *
   is generic: yes
 Go to Characteristics tab:
    create a new registger selecting: TEST
    variant: no
 click on Update Characteristics button.
    select 'one' value and click on OK button.
Go to Characteristics tab:
 Remove the characteristic created before (TEST)

Create a new registger selecting: CHECK
    variant: no
 click on Update Characteristics button.
    select 'three' value and click on OK button.

Realize that the Characteristic Description is CHECK - three value.
(0074678)
hgbot (developer)
2015-02-19 17:25

Repository: erp/devel/pi
Changeset: cc7e0e3fd5808e345875c277043d2c08b77500b2
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Feb 17 19:18:19 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cc7e0e3fd5808e345875c277043d2c08b77500b2 [^]

Fixes issue 28928: The characteristic description is not updated correctly

Event handler has been modified in order to remove ProductCharacteristicValue records when ProductCharacteristic is deleted

---
M src/org/openbravo/event/ProductCharacteristicEventHandler.java
---
(0074680)
Sandrahuguet (developer)
2015-02-19 17:32

Code review + testing OK
(0074790)
hudsonbot (developer)
2015-02-23 05:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6856352d7235 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-12 17:57 VictorVillar New Issue
2015-02-12 17:57 VictorVillar Assigned To => Sandrahuguet
2015-02-12 17:57 VictorVillar Modules => Core
2015-02-12 17:57 VictorVillar Triggers an Emergency Pack => No
2015-02-12 17:57 VictorVillar Issue Monitored: networkb
2015-02-17 16:23 aferraz Assigned To Sandrahuguet => aferraz
2015-02-17 19:23 aferraz Note Added: 0074571
2015-02-19 17:25 hgbot Checkin
2015-02-19 17:25 hgbot Note Added: 0074678
2015-02-19 17:25 hgbot Status new => resolved
2015-02-19 17:25 hgbot Resolution open => fixed
2015-02-19 17:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cc7e0e3fd5808e345875c277043d2c08b77500b2 [^]
2015-02-19 17:32 Sandrahuguet Review Assigned To => Sandrahuguet
2015-02-19 17:32 Sandrahuguet Note Added: 0074680
2015-02-19 17:32 Sandrahuguet Status resolved => closed
2015-02-19 17:32 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-02-19 17:45 Sandrahuguet Relationship added related to 0029000
2015-02-23 05:11 hudsonbot Checkin
2015-02-23 05:11 hudsonbot Note Added: 0074790


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker